#!/usr/local/bin/perl -w

use vars qw($opt_f);
use Getopt::Std;
use GD;

getopt('f');

if($opt_f) {
    &image_data($opt_f);
} else {
    &usage();
}


sub image_data {

    my($image) = @_;
    my($info, $xval, $yval);

    open(IMG, $image) || die("Image error: $!");
    $info = newFromGif GD::Image(IMG);
    close IMG;

    ($xval, $yval) = $info->getBounds();
    print("Image: $image is $xval by $yval pixels.\n");
    
}

sub usage {
    print("Usage: $0 -f <infile>\n");
    exit(0); # failure
}
