#!/usr/local/bin/perl -w

use strict;
use vars qw($digitfile $entry $width $height $white $black $im $outfile);
use GD;

$digitfile = '/home/nvp/ORA/Nutshell/GD/scripts/Counter/counter.dat';
$outfile = 'Images/alldigits.gif';

open(DIGITS, $digitfile) || die("counter error: $!"); # open r/w
chop($entry = <DIGITS>); # get the current entry
close(DIGITS); # close file

$entry = $entry." accesses as of ".localtime()."."; # tell us about the number
                                                    # of hits at current time

# Now, set the ratio
$width = length($entry)*8; # 8 in 8x16 font
$height = 16; # 16 in 8x16 font

$im = new GD::Image($width, $height);
($white,$black) = 
    (
     $im->colorAllocate(255, 255, 255),
     $im->colorAllocate(0, 0, 0)
     );
$im->transparent($white);	# white color is transparent
$im->interlaced(1);		# cool venetian blinds effect
        
# Now output the number: each gif represents a corresponding digit 
# in the hit log.

$im->string(gdLargeFont,0,0,$entry,$black); # use the 8x16 font

# Put a black frame around the picture
$im->rectangle(0,0,$width-1,$height-1,$black);

# Now, output the gif to the file
open(OUTFILE, ">".$outfile) || die("outfile error: $!");
print OUTFILE $im->gif; # output the image to (FILEHANDLE)
close(OUTFILE);

