#!/usr/local/bin/perl -w

use vars qw($opt_f $opt_o);
use vars qw($xd $yd);
use Getopt::Std;
use GD;
use Image::Size;

getopt('fo');

if($opt_f && $opt_o) {
    ($xd, $yd) = &get_image_size($opt_f, $opt_o);
    &output_resized_image($opt_f, $opt_o, $xd, $yd);
} else {
    &usage();
}

sub get_image_size {

    my($image) = @_;
    my($x_dim, $y_dim);

    ($x_dim, $y_dim) = imgsize($image);
    return($x_dim, $y_dim); # return x,y dimensions

}

sub output_resized_image {

    my($image, $output, $x_o, $y_o) = @_;
    my($x, $y, $im, $white, $black, $gif, $new_im);
  
    $x = $x_o*2; # re-scale height and width
    $y = $y_o*2;

    open(IN, $image) || die("XBM error: $!");
    $gif = newFromGif GD::Image(IN) || die;
    close(IN);
    $new_im = $gif->gif;

    $im = new GD::Image($x,$y);
    ($white,$black) = 
	(
	 $im->colorAllocate(255, 255, 255),
	 $im->colorAllocate(0, 0, 0)
	 );
    $im->interlaced(0);
    
    $im->copyResized($gif,0,0,0,0,$x,$y,$x_o,$y_o);

    open(OUTFILE, ">".$output) || die("output file error: $!");
    print("Opening: $output for writing.\n");
    print OUTFILE $im->gif;
    close(OUTFILE);

}

sub usage {
    print("Usage: $0 -f <infile> -o <outfile>\n");
    exit(0); # failure
}
