#!/usr/local/bin/perl -w

use strict;
use Getopt::Long;
use vars qw($recip $subj $fh $msg $body); # for strict
require Mail::Send;

GetOptions('t=s', \$recip, 'subj=s', \$subj);

if($recip && $subj) {

    $msg = new Mail::Send;

    $msg->to($recip);
    $msg->subject($subj);

    $fh = $msg->open('sendmail'); # Start the mailer and output the headers

    undef $/; # clearance
    $body = <>; # read <>

    print $fh $body;

    $fh->close;         # complete the message and send it

} else {
    &usage();
    exit(0);
}

sub usage {
    print("Usage: $0 -t <recipient> -subj <subject> <filename>\n");
}

