#!/usr/local/bin/perl -w

use vars qw($opt_h);
use Getopt::Std;
use Net::Ping;

getopt('h');

if($opt_h) {
    &ping_host($opt_h);
} else {
    &usage();
}

sub ping_host {

    my($host) = @_;

    if(pingecho($host, 0)) {
	print $host, " responded.\n";
    } else {
	print $host, " is unreachable.  Try again later.\n";
    }
    
}

sub usage {
    print("Usage: $0 -h <hostname>\n");
    exit(0);
}
