#!/usr/local/bin/perl -w

use vars qw($opt_h, $opt_t);
use Getopt::Std;
use Net::Ping;

getopt('ht');

if($opt_h && $opt_t) {
    &usage() if $opt_t !~ /\d/; # timeout must be an integer, otherwise fail.
    &ping_host($opt_h, $opt_t);
} else {
    &usage();
}

sub ping_host {

    my($host, $timeout) = @_;

    if(pingecho($host, $timeout)) {
	print $host, " responded.\n";
    } else {
	print $host, " is unreachable.  Try again later.\n";
    }
    
}

sub usage {
    print("Usage: $0 -h <hostname> -t <timeout>\n\t\t\t\t",
	  "-t timeout *must* be an integer.\n");
    exit(0);
}
