#!/usr/local/bin/perl -w

use Net::POP3;

$pop_host = 'pop.hacker.org'; # pop host
$user = 'nvp'; # username
$pass = 'xxxx'; # password

%all_mesg = (); # initialize hash

# Constructors
#$pop = Net::POP3->new($pop_host, Debug => 100); # uncomment for debugging
$pop = Net::POP3->new($pop_host); # comment if using 'debug' constructor

if(($result = $pop->login($user, $pass)) eq '') {
    $result = -1;
}

if($result > 0) {
    print("You have $result new messages.\n");
    &list_all_messages();
    &choose_message_to_read();
} elsif($result == 0) {
    print("You have no new messages.\n");
    exit(1); # exit
} else {
    print("Login failed.\n");
    exit(0); # return false - login failed
}

sub list_all_messages {

    *all_mesg = $pop->list;
    foreach $key (keys %all_mesg) {
	
	(*message) = $pop->get($key);
	for($i=0; $i<=$#message; $i++) {
	    $from = $message[$i]; # need this for reply
	    if($from =~ /From:/) {
		$from =~ s/(.+)<(.*?)>/$2/g;
		chop($from);
		$headers{$key} = $key.". From: ".$from;
	    }
	    
	    if($message[$i] =~ /Subject:/) {
		$subj = $message[$i];
		chop($subj);
		$headers{$key} = $headers{$key}."\t".$subj."\n";
	    }
	    
	}
    }   

    foreach $header (keys %headers) {
	print $headers{$header};
    }
    
}


sub choose_message_to_read {

    print("\nRead which message? ");
    chop($which_mesg = <STDIN>);
    
    if($which_mesg =~ /\d/ && $which_mesg ne '') {
	if(&check_message_in_hash($which_mesg) == 1) {
	    &view_selected_message($which_mesg);
	} else {
	    print("Can't find your message.\n");
	    exit(0); # failed
	}
    } else {
	print("Message type must be an integer.\n");
	exit(0); #failure
    }

}


sub view_selected_message {

    my($mesg_num) = @_;
    (*message) = $pop->get($mesg_num);

    for($i=0; $i<=$#message; $i++) {
	print $message[$i];	
    }

}


sub check_message_in_hash { # perform checks to confirm that message
                            # compares to hash key

    my($check_mesg) = @_;

    foreach $key (keys %all_mesg) {
	if($check_mesg == $key) {
	    return(1); # message exists - return it
	} 
    }

}

$pop->quit();
