#!/usr/local/bin/perl -w

use Getopt::Long;
use vars qw($opt_l);
use strict;

my($line, $count); # remember, we're using strict
$count = 0;

GetOptions qw(-l=i); # one argument, $opt_l, and integer

if($opt_l) {
    while($line = <>) {
	last if $count == $opt_l;
	$count++;
	print $line;
    }
} else { # something's wrong with the command-line options - error.
    &usage();
}

sub usage {
    print("Usage: $0 -l <num lines> <infile>\n");
    exit(0); # failure
}
