#!/usr/local/bin/perl -w

use Getopt::Std;
use vars qw($opt_u $opt_o);
use strict;

my($encoder); # remember, we're using strict
$encoder = '/usr/bin/uuencode'; # installed uuencoder 
                                # later examples will use Convert::UU

getopt('uo'); # get the u and o command-line options

if($opt_u && $opt_o) { # both options have been entered - proceed.
    open(OUT, ">".$opt_o) || die("Cannot open outfile: $!");
    open(ENC, $encoder." $opt_u $opt_u |") || die("Encoder error: $!");
    while(<ENC>) {
	print OUT $_; # output the encoded lines to the outfile
    }
    close(ENC);
    close(OUT);
} else { # something's wrong with the command-line options - error.
    &usage();
}

sub usage {
    print("Usage: $0 -u <infile> -o <outfile>\n");
    exit(0); # failure
}
