#!/usr/local/bin/perl -w

use strict;
use vars qw($opt_f $opt_r);
use Getopt::Std;

my($rev); # for reverse characters

getopt('fr');

if($opt_f&& !$opt_r) {
    undef $opt_r; # don't need $opt_r

    open(IN, $opt_f) || die("can't open: $!");
    while(<IN>) { print $_; }
    close(IN);
} elsif($opt_r && !$opt_f) {
    undef $opt_f; # don't need $opt_f

    $rev = '';

    open(IN, $opt_r) || die("can't open: $!");
    while($rev = reverse(<IN>)) { print $rev; }
    close(IN);
} else {
    &usage();
}

sub usage {
    print("Usage: $0 -f <filename>\n",
	  "-r <reverse file>\n");
    exit(0);
}

